# Uses of Class
serp.bytecode.ClassInstruction

Packages that use ClassInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of ClassInstruction in serp.bytecode

Subclasses of ClassInstruction in serp.bytecode
Modifier and Type
Class
Description
`class`
`MultiANewArrayInstruction`
The `multianewarray` instruction, which creates a new multi-dimensional array.
Methods in serp.bytecode that return ClassInstruction
Modifier and Type
Method
Description
`ClassInstruction`
Code.`anew()`
Create a new instance of an object; the `new` opcode.
`ClassInstruction`
Code.`anewarray()`
Create a new instance of an object array; the `anew` opcode.
`ClassInstruction`
Code.`checkcast()`
Cast an object on the stack to another type; the `checkcast` opcode.
`ClassInstruction`
Code.`isinstance()`
Test if a stack object is an instance of a class; the `instanceof` opcode.
`ClassInstruction`
ClassInstruction.`setTypeIndex(int index)`
Set the `ConstantPool` index of the `ClassEntry` describing the class for this instruction.

## Uses of ClassInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type ClassInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterClassInstruction(ClassInstruction obj)`
`void`
PrettyPrintVisitor.`enterClassInstruction(ClassInstruction obj)`
`void`
BCVisitor.`exitClassInstruction(ClassInstruction obj)`